stream_set_blocking
stream_set_read_buffer
Stream Functions
PHP Manual

# stream_set_chunk_size

(PHP 5 >= 5.4.0)

stream_set_chunk_size — Set the stream chunk size

### Description

int stream_set_chunk_size ( resource `$fp` , int `$chunk_size` )

Set the stream chunk size.

### Parameters

`fp`

  The target stream.

`chunk_size`

  The desired new chunk size.

### Return Values

Returns the previous chunk size on success.

Will return `FALSE` if `chunk_size` is less than 1 or greater than `PHP_INT_MAX`.

### Errors/Exceptions

Will emit an `E_WARNING` level error if `chunk_size` is less than 1 or greater than `PHP_INT_MAX`.

stream_set_blocking
stream_set_read_buffer
Stream Functions
PHP Manual